document.addEventListener('DOMContentLoaded', function() {
  const calculateButton = document.querySelector('.calculate-button');
  const phdEarnings = document.getElementById('phd-earnings');
  const ofEarnings = document.getElementById('of-earnings');
  const timeCommitment = document.getElementById('time-commitment');
  const recommendation = document.getElementById('recommendation');

  calculateButton.addEventListener('click', function() {
    const phd = parseFloat(phdEarnings.value) || 0;
    const of = parseFloat(ofEarnings.value) || 0;
    const hours = parseFloat(timeCommitment.value) || 0;

    if (phd === 0 || of === 0 || hours === 0) {
      recommendation.textContent = 'Please fill all fields';
      return;
    }

    const phdHourly = phd / (4 * 40); // Assuming 40 hours/week
    const ofHourly = of / (4 * hours);

    if (ofHourly > phdHourly * 1.5) {
      recommendation.textContent = 'Strongly consider OnlyFans!';
    } else if (ofHourly > phdHourly) {
      recommendation.textContent = 'OnlyFans might be worth exploring';
    } else {
      recommendation.textContent = 'Stick with your PhD for now';
    }
  });
});